Bug 1122327 - [GSS] (6.4.0) JBoss Marshalling should not require classes for null fields
Summary: [GSS] (6.4.0) JBoss Marshalling should not require classes for null fields
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Remoting
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR1
: EAP 6.4.0
Assignee: David M. Lloyd
QA Contact: Jitka Kozana
URL:
Whiteboard:
Depends On:
Blocks: 1102271 1122329
TreeView+ depends on / blocked
 
Reported: 2014-07-23 00:48 UTC by Brad Maxwell
Modified: 2019-08-19 12:44 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
This release of JBoss EAP 6 no longer requires a class to be present during unmarshalling when instances of the class in question are only present in the unmarshalling stream as a value for a field which has been deleted on the unmarshalling side's version of that class. In this case, the stream value is silently discarded during unmarshalling; however if the stream later contains an object with a non-deleted field referencing this discarded object, and the class of that object is not present, an exception will still be thrown in this case. A fix in this release prevents ClassNotFound exceptions from occurring during unmarshalling of an object where the object version may be different on the unmarshalling side such that it does not contain the field which references the missing class definition.
Clone Of: 1102271
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker JBMAR-161 Major Resolved Do not write full class descriptor for fields 2015-05-27 19:11:09 UTC

Description Brad Maxwell 2014-07-23 00:48:05 UTC
+++ This bug was initially created as a clone of Bug #1102271 +++

If an object contains a field whose value is null, the field's object type should not be loaded / instatiated since it has no value.

--- Additional comment from David M. Lloyd on 2014-06-30 21:41:13 EDT ---

Clarified the doc text change a bit.

--- Additional comment from Ladislav Thon on 2014-07-10 07:45:19 EDT ---

First, sorry for late notice.

EAP 6.3.0.ER9 contains JBoss Marshalling 1.4.6, which indeed fixes this issue (JBMAR-161), which is why I'm marking this as verified.

However, the customer case linked from this bugs requires additional fixes for JBMAR-162: one fix is included in JBoss Marshalling 1.4.7 and the other was not released in 1.4.x branch yet. So here's the warning: if EAP 6.3 remains on Marshalling 1.4.6, the customer case _won't_ be fixed. (I know there is a one-off patch for 6.2, but providing a warning seems to be a good idea anyway.)

Comment 2 sgilda 2014-07-29 19:33:01 UTC
Based on Bug 1123331: 

Bug Fixes in the Remoting section.
There are two issues duplicated: 1122328 and 1104328 are the same, 1102271 and 1122327 are also the same. Only one of each should remain.

This one is targeted for 6.4, so removing the requires_doc_text flag on this bug.

Comment 3 Kabir Khan 2014-08-26 20:20:38 UTC
Should be fixed by remoting upgrade to 1.4.8 https://bugzilla.redhat.com/show_bug.cgi?id=1122329

Comment 4 Ladislav Thon 2014-08-27 06:44:36 UTC
Just noting that even though Kabir said "remoting upgrade", it's in fact Marshalling upgrade.

Comment 5 Ladislav Thon 2014-09-17 13:55:33 UTC
Verified with EAP 6.4.0.DR1.1.


Note You need to log in before you can comment on or make changes to this bug.